Skip to content

Aritma Banking API (v3)

Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/banking/v3/openapi/bankservice-openapi
Open Banking API
https://bankservice.zdata.no
Open Banking API (Dev)
https://bankservicedemo.zdata.no

Account

Operations

AccountGroup

Operations

Balance

Operations

Company

Operations

EventGridDeadLetter

Operations

EventGridSubscription

Operations

Onboarding

Operations

Payment

Operations

Receivable

Operations

Recipients

Operations

Lists all payments recipients for a company

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Company identification

No request payload

Responses

A list of recipients

BodyArray [
receiptIdinteger(int32)
namestring or null
companyIdstring(uuid)
accountNumberstring or null
emailstring or null
]
Response
No response example

Create new recipient

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required
Body
namestring or null
accountNumberstring or null
emailstring or null
{ "name": "string", "accountNumber": "string", "email": "string" }

Responses

BodyArray [
namestring or null
accountNumberstring or null
emailstring or null
]
Response
No response example

Update recipient

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Company id

recipientIdinteger(int32)required

Id of recipient

Body

Update model

namestring or null
accountNumberstring or null
emailstring or null
{ "name": "string", "accountNumber": "string", "email": "string" }

Responses

Body
namestring or null
accountNumberstring or null
emailstring or null
Response
No response example

Delete recipient

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required
recipientIdinteger(int32)required
No request payload

Responses

BodyArray [
receiptIdinteger(int32)
namestring or null
companyIdstring(uuid)
accountNumberstring or null
emailstring or null
]
Response
No response example

Services

Operations

Statement

Operations

User

Operations